Stolen Vehicle Check

Verify if a vehicle has been reported stolen with real-time database lookups

GET Request
~300ms response
2 credits per request

Endpoint

GET https://api.carapi.dev/v1/stolen-check/{vin}

Parameters

ParameterTypeRequiredDescription
vinstringRequired17-character Vehicle Identification Number
tokenstringRequiredAPI authentication token (query parameter)

Request Examples

cURL

curl -X GET \
  "https://api.carapi.dev/v1/stolen-check/1HGBH41JXMN109186?token=YOUR_API_KEY"

JavaScript

// Using fetch API
const response = await fetch('https://api.carapi.dev/v1/stolen-check/1HGBH41JXMN109186?token=YOUR_API_KEY', {
  method: 'GET',
  headers: {
    'Content-Type': 'application/json'
  }
});

const data = await response.json();
console.log(data);

Python

import requests

url = "https://api.carapi.dev/v1/stolen-check/1HGBH41JXMN109186"
params = {
    "token": "YOUR_API_KEY"
}

response = requests.get(url, params=params)
data = response.json()
print(data)

Response Examples

Clean Vehicle Response (200)

{
  "vin": "1HGBH41JXMN109186",
  "stolen": false,
  "countries": {
    "sk": false,
    "cz": false,
    "si": false,
    "hu": false,
    "ro": false
  }
}

Stolen Vehicle Response (200)

{
  "vin": "WVWZZZ1JZ3D123456",
  "stolen": true,
  "countries": {
    "sk": true,
    "cz": false,
    "si": false,
    "hu": false,
    "ro": false
  }
}

Error Response (400)

{
  "error": "Invalid VIN: VIN must be exactly 17 characters long (got 16)."
}

Response Fields

FieldTypeDescription
vinstringThe VIN number that was checked
stolenbooleanOverall stolen status (true if stolen in any country)
countriesobjectStolen status breakdown by country
countries.skbooleanStolen status in Slovakia
countries.czbooleanStolen status in Czech Republic
countries.sibooleanStolen status in Slovenia
countries.hubooleanStolen status in Hungary
countries.robooleanStolen status in Romania

Error Codes

400

Bad Request

Invalid VIN format or missing required parameters

403

Forbidden

Invalid or missing API token

500

Internal Server Error

Server encountered an error processing the request

Coverage

Supported Countries

Slovakia (SK)
Czech Republic (CZ)
Slovenia (SI)
Hungary (HU)
Romania (RO)

Important Notes

  • VIN must be exactly 17 characters long and contain only alphanumeric characters (except I, O, and Q)
  • The overall "stolen" field is true if the vehicle is reported stolen in any supported country
  • Each successful request consumes 2 API credits due to security database access
  • Data is sourced from official law enforcement databases and updated in real-time